PUPPET-MASTER(8)

NAME
puppet-master - The puppet master daemon

SYNOPSIS
The central puppet server. Functions as a certificate authority by default.

USAGE
puppet master [-D|--daemonize|--no-daemonize] [-d|--debug] [-h|--help] [-l|--logdest file|console|syslog] [-v|--verbose] [-V|--version] [--compile node-name]

DESCRIPTION
This command starts an instance of puppet master, running as a daemon and using Ruby's built-in Webrick webserver. Puppet master can also be managed by other application servers; when this is the case, this executable is not used.

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument. For example, 'ssldir' is a valid configuration parameter, so you can specify '--ssldir directory' as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet master with '--genconfig'.

--daemonize
    Send the process into the background. This is the default.

--no-daemonize
    Do not send the process into the background.

--debug
    Enable full debugging.

--help
    Print this help message.

--logdest
    Where to send messages. Choose between syslog, the console, and a log file. Defaults to sending messages to syslog, or the console if debugging or verbosity is enabled.

--verbose
    Enable verbosity.

--version
    Print the puppet version number and exit.

--compile
    Compile a catalogue and output it in JSON from the puppet master. Uses facts contained in the $vardir/yaml/ directory to compile the catalog.

EXAMPLE
puppet master

DIAGNOSTICS
When running as a standalone daemon, puppet master accepts the following signals:

SIGHUP
    Restart the puppet master server.

SIGINT and SIGTERM
    Shut down the puppet master server.

SIGUSR2
    Close file descriptors for log files and reopen them. Used with logrotate.

AUTHOR
Luke Kanies

COPYRIGHT
Copyright (c) 2011 Puppet Labs, LLC Licensed under the Apache 2.0 License